<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,Log4net"/>
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.1"/>
  </startup>
  <appSettings>
    <add key="AXIOM_TRACE_ENABLED" value="FALSE"/>
    <add key="AXIOM_TRACE_COLUMN" value="1"/>
    <add key="AXIOM_TRACE_VALUES" value="490638"/>
  </appSettings>  
  <connectionStrings>
    <add name="AssetAllocationDBConnectionString" connectionString="Data Source=p-allocsql01;Initial Catalog=AssetAllocationDb;Persist Security Info=True;Integrated Security=true;Connection Timeout=120" providerName="System.Data.SqlClient"/>
    <add name="RiskDBConnectionString" connectionString="Data Source=s-eqsql01;Initial Catalog=RiskDB;Persist Security Info=True;Integrated Security=true;Connection Timeout=120" providerName="System.Data.SqlClient"/>
    <add name="AxiomConnectionString" connectionString="Data Source=d-qntmsql03;Initial Catalog=Axiom;Persist Security Info=True;Integrated Security=true;Connection Timeout=120" providerName="System.Data.SqlClient"/>
    <add name="AxiomLocal" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog=Axiom;Persist Security Info=True;Integrated Security=true;Connection Timeout=120" providerName="System.Data.SqlClient"/>
  </connectionStrings>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.SqlConnectionFactory, EntityFramework"/>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer"/>
    </providers>
  </entityFramework>
  <log4net>
    <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
      <file value=".\Logs\AxiomEngineLog.log"/>
      <staticLogFileName value="false"/>
      <appendToFile value="true"/>
      <rollingStyle value="Date"/>
      <datePattern value="yyyyMMdd"/>
      <maxSizeRollBackups value="31"/>
      <maximumFileSize value="1MB"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%property{NDC}] - %message%newline"/>
      </layout>
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
    </appender>
    <appender name="ColoredConsoleAppender" type="log4net.Appender.ColoredConsoleAppender">
      <mapping>
        <level value="ERROR"/>
        <foreColor value="White"/>
        <backColor value="Red, HighIntensity"/>
      </mapping>
      <mapping>
        <level value="DEBUG"/>
        <backColor value="Green"/>
      </mapping>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%property{NDC}] - %message%newline"/>
      </layout>
    </appender>
    <root>
      <level value="DEBUG"/>
      <appender-ref ref="RollingFileAppender"/>
      <appender-ref ref="ColoredConsoleAppender"/>
    </root>
  </log4net>  
  <runtime>  
       <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">  
            <dependentAssembly>  
                 <assemblyIdentity name="log4net" publicKeyToken="669e0ddf0bb1aa2a" culture="neutral"/>  
                 <bindingRedirect oldVersion="0.0.0.0-2.0.8.0" newVersion="2.0.8.0"/>  
            </dependentAssembly>  
       </assemblyBinding>  
  </runtime>
</configuration>
